Subject: CVS HEAD won't build --with-ns on OSX 10.5 (fails src/nsfont.m)

From: [email-masked] (Randal L. Schwartz)
Date: Sat, 06 Sep 2008 07:14:13 -0700

During "make bootstrap":

gcc -I/sw/include -L/sw/lib -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Volumes/UFS/MIRROR/emacs-CVS-new/src -I/usr/X11/include -Dtemacs   -I/sw/include/dbus-1.0 -I/sw/lib/dbus-1.0/include -g -O2 -Wno-pointer-sign  nsfont.m
nsfont.m: In function 'nsfont_char_width':
nsfont.m:481: warning: 'widthOfString:' is deprecated (declared at /System/Library/Frameworks/AppKit.framework/Headers/NSFont.h:216)
nsfont.m: In function 'nsfont_open':
nsfont.m:726: warning: 'widthOfString:' is deprecated (declared at /System/Library/Frameworks/AppKit.framework/Headers/NSFont.h:216)
nsfont.m: In function 'nsfont_draw':
nsfont.m:907: error: 'struct glyph_string' has no member named 'gidx'
nsfont.m:908: error: 'struct glyph_string' has no member named 'gidx'
nsfont.m:914: error: 'struct glyph_string' has no member named 'gidx'
nsfont.m:1097: error: 'struct glyph_string' has no member named 'gidx'
nsfont.m:1103: error: 'struct glyph_string' has no member named 'gidx'
make[2]: *** [nsfont.o] Error 1
make[1]: *** [src] Error 2
make: *** [bootstrap] Error 2

Is this known?  Being worked on?  Do you need more info?

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Smalltalk/Perl/Unix consulting, Technical writing, Comedy, etc. etc.
See http://methodsandmessages.vox.com/ for Smalltalk and Seaside discussion